Subject: Re: [Bitcoin-development] Punishing empty blocks?

From: Jeff Garzik <[email-masked]>
Date: Thu, 24 May 2012 20:51:09 -0400

On Thu, May 24, 2012 at 8:45 PM, Luke-Jr <[email-masked]> wrote:
> On Thursday, May 24, 2012 4:33:12 PM Jeff Garzik wrote:
>> Comments?  It wouldn't be a problem if these no-TX blocks were not
>> already getting frequent (1 in 20).
>
> FWIW, based on statistics for Eligius's past 100 blocks, it seems 10% (1 in
> 10) of 1-txn blocks is not actually unreasonable. This also means these 1-txn
> mined blocks are not necessarily harming Bitcoin intentionally. Anyone care to
> figure out the math for how fast miners need to finish processing transactions
> to reduce the number of 1txn blocks?

Look at the time since last block, and correlate with the number of
non-spam TX's in the memory pool at the time.  It is obvious which
ones are quick blocks (<60 seconds since last block, no big deal) and
which ones are the lazy miners (> 120 seconds since last block).

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]